> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/references/database-information-and-organization/focus-time-metric.md).

# Focus time metric

The [execution](/platform/references/references-classic/glossary-classic/execution-classic.md) of an application gives you a good idea of what applications employees are using and what is consuming device resources. The focus time allows you to push the analysis further and understand where the opportunities are to make the biggest perceived improvements. It is a precise measurement of the amount of time specific applications were in [focus](/platform/references/references-classic/glossary-classic/focus-time-classic.md).

### Configuration <a href="#focustimemetric-configuration" id="focustimemetric-configuration"></a>

By default, the system disables the focus time feature. Activate it manually by adding a registry key on a system or push the registry key using your preferred deployment method.

Note that enabling or disabling it will require you to [restart](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/windows-collector-references/collector-configuration-tool-for-windows.md#collectorconfigurationtoolforwindows-options) Collector.

#### Registry key <a href="#focustimemetric-registrykey" id="focustimemetric-registrykey"></a>

To enable this feature on a specific system, run the following command:

{% code fullWidth="true" %}

```
REG ADD HKLM\SOFTWARE\Nexthink\Collector\WindowFocusTimeMonitoring /v Enabled /t REG_DWORD /d 1​
```

{% endcode %}

\
You can also enable it using the registry editor:

1. Create the following key:

   ```
   HKEY_LOCAL_MACHINE\SOFTWARE\Nexthink\Collector\WindowFocusTimeMonitoring
   ```

2\. Add a DWORD value labeled **Enabled** and set it to 1.

#### Library pack <a href="#focustimemetric-librarypack" id="focustimemetric-librarypack"></a>

In the **Collector Configuration** library pack, execute the remote action [Set Collector Configuration](https://www.nexthink.com/library/collector-configuration/#set-collector-configuration).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.nexthink.com/platform/references/database-information-and-organization/focus-time-metric.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
